Skip to main content

Get purchase order by ID

GEThttps://api.propexo.com/v1/purchase-orders/:purchase_order_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

purchase_order_id stringrequired

The Propexo unique identifier for the purchase order

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the purchase order

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    x_property_idstringrequired

    The external ID of the property from the integration vendor

    x_location_idstring | nullnullablerequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    x_invoice_idstring | nullnullablerequired

    The external ID of the invoice from the integration vendor

    x_vendor_idstring | nullnullablerequired

    The external ID of the vendor from the integration vendor

    x_parent_purchase_order_idstring | nullnullablerequired

    The external ID of the purchase order from the integration vendor. This field is not null if this is a change order

    numberstring | nullnullablerequired

    The number of the purchase order

    is_closedboolean | nullnullablerequired

    Whether the purchase order is closed or not

    descriptionstring | nullnullablerequired

    Description of the purchase order

    total_amount_in_centsnumber | nullnullablerequired

    The amount of the purchase order, in cents

    Example: 100000
    order_datestring | nullnullablerequired

    The order date for the purchase order

    expense_typestring | nullnullablerequired

    The expense type of the purchase order

    display_typestring | nullnullablerequired

    The display type of the purchase order

    status_rawstring | nullnullablerequired

    The raw status associated with the purchase order

    shipping_address_1string | nullnullablerequired

    The first address line associated with the shipping address for the purchase order

    shipping_address_2string | nullnullablerequired

    The second address line associated with the shipping address for the purchase order

    shipping_citystring | nullnullablerequired

    The city associated with the shipping address for the purchase order

    shipping_statestring | nullnullablerequired

    The state associated with the shipping address for the purchase order

    shipping_zipstring | nullnullablerequired

    The zip code associated with the shipping address for the purchase order

    shipping_countrystring | nullnullablerequired

    The country associated with the shipping address for the purchase order

    billing_address_1string | nullnullablerequired

    The first address line associated with the billing address for the purchase order

    billing_address_2string | nullnullablerequired

    The second address line associated with the billing address for the purchase order

    billing_citystring | nullnullablerequired

    The city associated with the billing address for the purchase order

    billing_statestring | nullnullablerequired

    The state associated with the billing address for the purchase order

    billing_zipstring | nullnullablerequired

    The zip code associated with the billing address for the purchase order

    billing_countrystring | nullnullablerequired

    The country associated with the billing address for the purchase order

    custom_data object | nullrequired
    object
    associated_invoice_idsstring[]required
    property_idstringrequired

    The Propexo unique identifier for the property

    integration_idstringrequired

    The Propexo unique identifier for the integration

    integration_vendorEnum1required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    invoice_idstring | nullnullablerequired

    The Propexo unique identifier for the invoice

    vendor_idstring | nullnullablerequired

    The Propexo unique identifier for the vendor

    parent_purchase_order_idstring | nullnullablerequired

    The Propexo unique identifier for the purchase order. This field is not null if this is a change order

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/purchase-orders/:purchase_order_id
curl https://api.propexo.com/v1/purchase-orders/:purchase_order_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"x_invoice_id": "string",
"x_vendor_id": "string",
"x_parent_purchase_order_id": "string",
"number": "string",
"is_closed": true,
"description": "string",
"total_amount_in_cents": 100000,
"order_date": "string",
"expense_type": "string",
"display_type": "string",
"status_raw": "string",
"shipping_address_1": "string",
"shipping_address_2": "string",
"shipping_city": "string",
"shipping_state": "string",
"shipping_zip": "string",
"shipping_country": "string",
"billing_address_1": "string",
"billing_address_2": "string",
"billing_city": "string",
"billing_state": "string",
"billing_zip": "string",
"billing_country": "string",
"custom_data": "Unknown Type: object,null",
"associated_invoice_ids": [
"string"
],
"property_id": "string",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"invoice_id": "string",
"vendor_id": "string",
"parent_purchase_order_id": "string"
}
}